View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000410Ecere SDKcompilerpublic2010-05-01 16:242013-05-19 22:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000410: libec will make the IDE crash for missing nullcheck on _class.dataTypeString in pass15.ec line 3815
Descriptionask for 20100501-01-ide-crash-on-load-ec-file.ec if you need to understand what's going on.
Tagsv0.44d2
Attached Files

- Relationships

-  Notes
(0000194)
redj (administrator)
2010-05-01 16:27

simple null check -- please verify
Added revision 105 to ...\sdk\compiler\libec\src\pass15.ec

- Issue History
Date Modified Username Field Change
2010-05-01 16:24 redj New Issue
2010-05-01 16:25 redj Status new => assigned
2010-05-01 16:25 redj Assigned To => redj
2010-05-01 16:27 redj Status assigned => resolved
2010-05-01 16:27 redj Resolution open => fixed
2010-05-01 16:27 redj Note Added: 0000194
2010-07-07 04:20 redj Tag Attached: v0.44d2
2010-07-25 18:53 redj Relationship added child of 0000429
2010-07-26 19:03 thexa4 Target Version => 0.44 draft 2
2010-07-29 15:06 jerome Priority normal => immediate
2012-03-08 15:32 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:14 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker